%define realname Imagick
%define modname imagick
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 55_%{modname}.ini
%define mod_src %{modname}.c

Summary:	Provides a wrapper to the ImageMagick library for PHP
Name:		php-%{modname}
Epoch:		2
Version:	3.4.1
Release:	%mkrel 5
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/imagick
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:  php-devel >= 3:5.2.0
BuildRequires:	imagemagick-devel >= 6.3.8
Requires:	imagemagick >= 6.3.8

%description
Imagick is a native php extension to create and modify images using the
ImageMagick API.

imagick is a native php-extension. See the examples in the
%{_docdir}/%{name}/examples directory for some hints on
how to use it.

%prep

%setup -q -n imagick-%{version}
[ "../package.xml" != "/" ] && mv -f ../package.xml .

# lib64 fixes
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > README.%{modname} <<EOF
The %{name} package contains a dynamic shared object (DSO) for PHP.
To activate it, make sure a file /etc/php.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}

[imagick]
imagick.locale_fix = 0
EOF

%files
%doc examples ChangeLog CREDITS LICENSE
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Tue Mar 07 2017 rapsys <rapsys> 2:3.4.1-5.mga6
+ Revision: 1089551
- Rebuild to avoid segfault after php update

* Sun Nov 27 2016 wally <wally> 2:3.4.1-4.mga6
+ Revision: 1070360
- drop unneeded freetype requires

* Tue Aug 23 2016 daviddavid <daviddavid> 2:3.4.1-3.mga6
+ Revision: 1047983
- rebuild for new imagemagick

* Tue Jun 28 2016 rapsys <rapsys> 2:3.4.1-2.mga6
+ Revision: 1037994
- Rebuild to avoid php warning: Imagick was compiled against Image Magick version 1683 but version 1684 is loaded. Imagick will run but may behave surprisingly

* Tue Mar 22 2016 oden <oden> 2:3.4.1-1.mga6
+ Revision: 993998
- 3.4.1

* Thu Feb 25 2016 oden <oden> 2:3.4.0-0.RC6.1.mga6
+ Revision: 979069
- fix build
- 3.4.0RC6

* Fri Feb 12 2016 umeabot <umeabot> 2:3.1.2-8.mga6
+ Revision: 958371
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2:3.1.2-7.mga5
+ Revision: 739889
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2:3.1.2-6.mga5
+ Revision: 687143
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 2:3.1.2-5.mga5
+ Revision: 616567
- rebuilt for php-5.6.0beta1

* Sat Feb 08 2014 fwang <fwang> 2:3.1.2-4.mga5
+ Revision: 586235
- rebuild for new imagemagick

* Fri Jan 24 2014 pterjan <pterjan> 2:3.1.2-3.mga4
+ Revision: 567606
- Rebuild for new PHP

* Mon Oct 21 2013 umeabot <umeabot> 2:3.1.2-2.mga4
+ Revision: 536932
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 oden <oden> 2:3.1.2-1.mga4
+ Revision: 485908
- 3.1.2

* Mon Sep 23 2013 oden <oden> 2:3.1.1-1.mga4
+ Revision: 484333
- 3.1.1

* Fri Sep 06 2013 oden <oden> 2:3.1.0-1.mga4
+ Revision: 475358
- 3.1.0
- drop P0, seems fixed upstream

* Thu Jun 13 2013 oden <oden> 2:3.1.0-3.RC2.6.mga4
+ Revision: 442661
- rebuilt for php-5.5.0RC3

* Tue May 28 2013 fwang <fwang> 2:3.1.0-3.RC2.5.mga4
+ Revision: 429276
- fix magick include dir
- rebuild for new imagemagick

* Wed Jan 30 2013 oden <oden> 2:3.1.0-3.RC2.4.mga3
+ Revision: 393293
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 2:3.1.0-3.RC2.3.mga3
+ Revision: 375809
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 fwang <fwang> 2:3.1.0-3.RC2.2.mga3
+ Revision: 330757
- rebuild for new imagemagick

* Sat Oct 13 2012 fwang <fwang> 2:3.1.0-3.RC2.1.mga3
+ Revision: 305173
- rebuild for new imagemagick

* Mon Jul 30 2012 spuhler <spuhler> 2:3.1.0-2RC2.mga3
+ Revision: 275877
- bumped Rel
  moved RC2 to release

* Sun Jul 29 2012 spuhler <spuhler> 1:3.1.0RC2-1.mga3
+ Revision: 275602
- upgrade to 3.1.0RC2

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:3.0.1-8.mga2
+ Revision: 223905
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 1:3.0.1-7.mga2
+ Revision: 185314
- rebuild against php-5.3.9

* Tue Sep 13 2011 fwang <fwang> 1:3.0.1-6.mga2
+ Revision: 142832
- rebuild for new imagemagick

* Sun Feb 06 2011 spuhler <spuhler> 1:3.0.1-5.mga1
+ Revision: 48000
- increase rel to 4 to be built
- removed buildroot definition from .spec

* Sun Jan 23 2011 ennael <ennael> 1:3.0.1-4.mga1
+ Revision: 35613
- imported package php-imagick

